Subject: Re: 1.3.21
From: Jason Tishler <[email-masked]>
To: Brian Ford <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Sat, 22 Feb 2003 13:26:37 -0500

Brian,

Please post instead of sending private email.

On Fri, Feb 21, 2003 at 03:04:38PM -0600, Brian Ford wrote:
> On Fri, Feb 21, 2003 at 14:12:09PM -0500, Jason Tishler wrote:
> > It also doesn't explain with gdb and strace "fixed" the bad
> > permissions too.
> >
> 
> I had to revert Cygwin to 1.3.19 because of the threads and sockets
> bug, but I have a similar strange problem.

Have you tried the latest snapshot?

    http://cygwin.com/ml/cygwin/2003-02/msg01675.html

> The current Cygwin gdb core dumps when run from the command line.
> When run under a previously custom built, vanilla gdb 5.3, or under
> strace, all is normal.  Incidentally, if I rebuild the vanilla gdb
> 5.3, it does the same thing.  Strange.
> 
> Here is the ouput:
> 
> $ /usr/bin/gdb
> GNU gdb 2003-02-19-cvs (cygwin-special)
> Copyright 2003 Free Software Foundation, Inc.
> GDB is free software, covered by the GNU General Public License, and you are
> welcome to change it and/or distribute copies of it under certain conditions.
> Type "show copying" to see the conditions.
> There is absolutely no warranty for GDB.  Type "show warranty" for details.
> This GDB was configured as "i686-pc-cygwin".Segmentation fault (core dumped)
> 
> Here is the stack dump:
> 
> Exception: STATUS_ACCESS_VIOLATION at eip=00000000
> eax=00000000 ebx=00000001 ecx=00000000 edx=00000000 esi=100EB460
> edi=0022FAF0
> ebp=0022E5C8 esp=0022E5AC program=C:\cygwin\bin\gdb.exe
> cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023
> Stack trace:
> Frame     Function  Args
> End of stack trace
> 
> I'll be glad to dig further if someone can point me in the right
> direction.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/